Report Key Compromise

POSThttps://sandbox-api.truthlocks.com/v1/issuers/keys/{kid}/compromiseAuth required

Reports a signing key as compromised. This immediately disables the key and marks all attestations signed by this key as requiring re-verification. This action is irreversible.

Path Parameters

kidstringrequired

The key identifier of the compromised key

Defaults to ed-key-1

Body Parameters

reasonstringrequired

Reason for reporting the key as compromised

Defaults to Private key leaked in public repository

Responses

{
  "kid": "ed-key-1",
  "status": "compromised",
  "compromised_at": "2026-02-18T19:00:00Z",
  "affected_attestations": 42
}
POST/v1/issuers/keys/{kid}/compromise
Language
CredentialsHEADER
Authorization
cURL Request
Examples ▾
curl --request POST \
  --url https://sandbox-api.truthlocks.com/v1/issuers/keys/ed-key-1/compromise \
  --header 'accept: application/json' \
  --header 'content-type: application/json' \
  --data '{
  "reason": "Private key leaked in public repository"
}'
Response

Click Try It! to send a real request, or view sample responses: